Bug 243323 - comms/liquid-dsp: Clean up Makefile and add "make test"
Summary: comms/liquid-dsp: Clean up Makefile and add "make test"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Reifenberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-13 16:08 UTC by daniel.engberg.lists
Modified: 2020-01-25 09:15 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mr)


Attachments
Patch (1.72 KB, patch)
2020-01-13 16:08 UTC, daniel.engberg.lists
no flags Details | Diff
Poudriere log (59.30 KB, text/plain)
2020-01-13 16:10 UTC, daniel.engberg.lists
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-01-13 16:08:02 UTC
Created attachment 210709 [details]
Patch

Use GitHub version tags
Package installs shared library, add USE_LDCONFIG
Remove anything related to DOCS, no docs are installed
Make use of ports framework
Strip shared library

make test tested on 13-CURRENT r356392 (AMD64)
Comment 1 daniel.engberg.lists 2020-01-13 16:10:04 UTC
Created attachment 210710 [details]
Poudriere log
Comment 2 daniel.engberg.lists 2020-01-22 10:08:40 UTC
Friendly ping
Comment 3 commit-hook freebsd_committer 2020-01-25 09:13:04 UTC
A commit references this bug:

Author: mr
Date: Sat Jan 25 09:12:29 UTC 2020
New revision: 524020
URL: https://svnweb.freebsd.org/changeset/ports/524020

Log:
  Clean up Makefile and add "make test"

  PR:		243323
  Submitted by:	daniel.engberg

Changes:
  head/comms/liquid-dsp/Makefile
  head/comms/liquid-dsp/distinfo
Comment 4 Michael Reifenberger freebsd_committer 2020-01-25 09:15:00 UTC
Committed.
Thanks!